%define	name	gprolog
%define	version	1.4.4
%define	release	%mkrel 1
%define	Summary	GNU Prolog is a free implementation of Prolog

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
URL:		http://www.gprolog.org/
Source0:	http://gprolog.univ-paris1.fr/gprolog-%{version}.tar.gz
Patch0:		gprolog-1.4.4-disable-silent-make-check.patch
Group:		Development/Other
ExclusiveArch:	%{ix86} x86_64 amd64 ppc
License:	GPLv2

%description
GNU Prolog is a native Prolog compiler with constraint solving over finite
domains (FD) developed by Daniel Diaz. Latest information about GNU Prolog can
be found at http://www.gnu.org/software/prolog.
A lot of work has been devoted to the ISO compatibility. GNU Prolog is very
close to the ISO standard (http://www.logic-programming.org/prolog_std.html).


%prep
%setup -q
%patch0 -p1

%build
cd src
CFLG="$(echo %{optflags} | sed -s "s/\-O2/-O1/g" \
		| sed -e "s/\-fomit-frame-pointer//")"

# Based on a gentoo ebuild (??)
CFLG="$CFLG -funsigned-char"
%configure2_5x	--with-c-flags="$CFLG -fno-unit-at-a-time" \
		--with-install-dir=%{_prefix} \
		--with-doc-dir=%{_datadir}/%{name}-%{version} \
		--with-html-dir=%{_datadir}/%{name}-%{version}/html 
# parallel build is not safe - AdamW 2008/12
make

%check
cd src
#
export PATH=%{buildroot}%{_bindir}:$PATH
#
make check

%install
install -d %{buildroot}%{_bindir}

(cd src ; make install-system INSTALL_DIR=%{buildroot}%{_libdir}/%{name}-%{version})

(cd %{buildroot}%{_bindir} ; ln -sf ../%{_lib}/%{name}-%{version}/bin/* .)


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{distribution}-%{name}.desktop << EOF
[Desktop Entry]
Name=GNU Prolog
Comment=%{Summary}
Exec=%{name}
Icon=interpreters_section
Terminal=true
Type=Application
Categories=Development;X-MandrivaLinux-MoreApplications-Development-Interpreters;
EOF


%files
%doc ChangeLog NEWS PROBLEMS README doc/html_node
%{_bindir}/*
%{_libdir}/%{name}*
%{_datadir}/applications/*




%changelog
* Sun Jul 21 2013 malo <malo> 1.4.4-1.mga4
+ Revision: 456649
- update to 1.4.4

* Fri Apr 05 2013 malo <malo> 1.4.3-1.mga3
+ Revision: 408349
- update to 1.4.3

* Sat Jan 12 2013 umeabot <umeabot> 1.4.2-2.mga3
+ Revision: 352537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 malo <malo> 1.4.2-1.mga3
+ Revision: 332213
- new version 1.4.2

* Tue Jul 03 2012 malo <malo> 1.4.1-1.mga3
+ Revision: 266979
- spec clean-up
- update to 1.4.1

* Sun Sep 25 2011 shlomif <shlomif> 1.4.0-1.mga2
+ Revision: 147811
- New version - thanks to Malo

* Sun Jan 09 2011 blino <blino> 1.3.1-3.mga1
+ Revision: 2977
- rename desktop file
- remove old update_menus scriptlets
- imported package gprolog

